---
title: column-rule-color
slug: Web/CSS/column-rule-color
tags:
  - CSS
  - CSS Multi-column Layout
  - CSS Property
  - HTML Colors
  - Reference
  - Styles
  - Styling HTML
  - column-rule-color
  - columns
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The<strong> <code>column-rule-color</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the color of the line drawn between columns in a multi-column layout.</p>

<div>{{EmbedInteractiveExample("pages/css/column-rule-color.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;color&gt; values */
column-rule-color: red;
column-rule-color: rgb(192, 56, 78);
column-rule-color: transparent;
column-rule-color: hsla(0, 100%, 50%, 0.6);

/* Global values */
column-rule-color: inherit;
column-rule-color: initial;
column-rule-color: unset;
</pre>

<p>The <code>column-rule-color</code> property is specified as a single <code>&lt;color&gt;</code> value.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;color&gt;")}}</dt>
 <dd>The color of the rule that separates columns.</dd>
</dl>
<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_blue_column_rule">Setting a blue column rule</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;This is a bunch of text split into three columns.
   The `column-rule-color` property is used to change
   the color of the line that is drawn between columns.
   Don't you think that's wonderful?&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css notranslate">p {
  column-count: 3;
  column-rule-style: solid;
  column-rule-color: blue;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_a_blue_column_rule")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Multicol', '#crc', 'column-rule-color')}}</td>
   <td>{{Spec2('CSS3 Multicol')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.column-rule-color")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{cssxref("&lt;color&gt;")}} data type</li>
 <li>Other color-related properties: {{cssxref("color")}}, {{cssxref("background-color")}}, {{cssxref("border-color")}}, {{cssxref("outline-color")}}, {{cssxref("text-decoration-color")}}, {{cssxref("text-emphasis-color")}}, {{cssxref("text-shadow")}}, and {{cssxref("caret-color")}}</li>
 <li><a href="/en-US/docs/Web/HTML/Applying_color">Applying color to HTML elements using CSS</a></li>
</ul>
